// Function to apply dark mode styles
function applyDarkModeStyles() {
  const css = `
    body {
      background-color: #121212 !important;
      color: #e0e0e0 !important;
    }
    a {
      color: #bb86fc !important;
    }
    header, footer, main, section, article, aside, div, span {
      background-color: #1e1e1e !important;
      color: #e0e0e0 !important;
    }
    input, textarea, select, button {
      background-color: #333 !important;
      color: #e0e0e0 !important;
      border: 1px solid #555 !important;
    }
    nav, .header, .footer, .sidebar {
      background-color: #1e1e1e !important;
    }
    p, h1, h2, h3, h4, h5, h6 {
      color: #e0e0e0 !important;
    }
    * {
      background-color: #121212 !important;
      color: #e0e0e0 !important;
    }
  `;

  let styleElement = document.getElementById('custom-dark-mode');
  if (styleElement) {
    styleElement.textContent = css; // Update existing style element
  } else {
    styleElement = document.createElement('style');
    styleElement.id = 'custom-dark-mode';
    styleElement.textContent = css;
    document.head.appendChild(styleElement);
  }
}

// Function to remove dark mode styles
function removeDarkModeStyles() {
  const styleElement = document.getElementById('custom-dark-mode');
  if (styleElement) {
    styleElement.remove();
  }
}

// Handle messages to apply or remove dark mode
chrome.runtime.onMessage.addListener((message) => {
  if (message.action === 'applyDarkMode') {
    applyDarkModeStyles();
  } else if (message.action === 'removeDarkMode') {
    removeDarkModeStyles();
  }
});
